table,
aside .nav-link,
nav.navbar .nav-link,
nav[aria-label="breadcrumb"] .breadcrumb-item,
footer .row,
.dropdown-item {
  font-size: 12px !important;
}

/* table,
table.table-sm,
aside .nav-link,
nav.navbar .nav-link,
nav[aria-label="breadcrumb"] .breadcrumb-item,
.footer .col-* {
  font-size: 12px !important;
} */

::-webkit-scrollbar-track {
  background: rgba(52, 71, 103, 0.1);
  border-radius: 6px;
}

::-webkit-scrollbar-thumb {
  background-color: rgba(52, 71, 103, 0.2);
  border-radius: 6px;
}

::-webkit-scrollbar {
  width: 6px !important;
  height: 6px !important;
}

/* pagination active */
.page-item.active .page-link {
  z-index: unset;
  color: #fff;
  /* background-color: #cb0c9f; */
  /* border-color: #cb0c9f; */
  border-color: transparent;
  /* background: linear-gradient(310deg, #7928CA 0%, #FF0080 100%); */
  background: linear-gradient(310deg, #17ad37 0%, #98ec2d 100%);
}

/* sidebar active icon */
.navbar-vertical .navbar-nav > .nav-item .nav-link.active .icon {
  /* background-image: linear-gradient(310deg, #7928CA 0%, #FF0080 100%); */
  background: linear-gradient(310deg, #17ad37 0%, #98ec2d 100%);
}

/* nav-pills with primary backgorund*/
.nav.nav-pills.nav-fill.nav-primary .nav-link.active {
  color: #fff;
  font-weight: 700;
}

/* normal bs table */

.table-bs-normal .table {
  border-collapse: collapse;
}

.table-bs-normal .table th {
  padding: 0.75rem 1rem !important;
}

.table-bs-normal .table td {
  white-space: normal !important;
  padding: 0.75rem 1rem !important;
}

.table-bs-normal .table-bordered td,
.table-bordered th {
  border: 1px solid #dee2e6;
}

.table-btn {
  padding: 0.15rem 1rem;
  font-size: 0.75rem;
  color: #8392ab;
  border: 1px solid #8392ab;
  border-radius: 5px;
  cursor: pointer;
  letter-spacing: -0.025rem;
  text-transform: uppercase;
  box-shadow: 0 4px 7px -1px rgba(0, 0, 0, 0.11),
    0 2px 4px -1px rgba(0, 0, 0, 0.07);
  text-align: center;
}

/* accordion collapse icon */
.accordion .accordion-button {
  font-size: inherit !important;
}

.accordion div button[aria-expanded="true"] .collapse-close {
  display: none;
}

.accordion div button[aria-expanded="true"] .collapse-open {
  display: block;
}

.accordion div button[aria-expanded="false"] .collapse-open {
  display: none;
}

.accordion div button[aria-expanded="false"] .collapse-close {
  display: block;
}

.choices {
  font-size: 0.75rem !important;
}

.choices__inner {
  min-height: 32px !important;
  padding: 0.44rem 0.75rem 0px !important;
  font-size: 0.75rem !important;
  border-color: #d2d6da;
  border-radius: 0.5rem !important;
  border-left-width: 1px !important;
  transition: 0.2s;
  background: inherit !important;
}

.top-filter-table .choices__inner {
  max-width: 260px;
}

.is-open .choices__inner {
  border-bottom-left-radius: 0px !important;
  border-bottom-right-radius: 0px !important;
}

.choices[data-type*="select-one"] .choices__input {
  padding: 5px !important;
}

.choices__input {
  font-size: 0.75rem;
}

.choices__list--single {
  padding: 0 !important;
}

.choices__list--dropdown .choices__item {
  padding: 5px !important;
  font-size: 0.75rem !important;
}

.choices__list--dropdown .choices__item--selectable:after {
  content: "" !important;
}

.choices__list--single .choices__item {
  padding-right: 15px !important;
}

.top-filter-table .choices__list--single .choices__item {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.choices.is-disabled {
  background-color: #e9ecef;
}

/* grouped table borders */
.group-parent-tr {
  border-top: 1px solid #8392ab !important;
  border-left: 1px solid #8392ab !important;
  border-right: 1px solid #8392ab !important;
  border-bottom: 1px solid #dee2e6 !important;
}

.group-child-tr {
  border-top: 1px solid #dee2e6 !important;
  border-left: 1px solid #8392ab !important;
  border-right: 1px solid #8392ab !important;
  border-bottom: 1px solid #dee2e6 !important;
}

.group-last-child-tr {
  border-top: 1px solid #dee2e6 !important;
  border-left: 1px solid #8392ab !important;
  border-right: 1px solid #8392ab !important;
  border-bottom: 1px solid #8392ab !important;
}

.animate-icon {
  transition: all 0.4s ease 0s;
}

.rotate {
  transform: rotate(180deg);
}

.opd {
  border: 1px solid black;
  font-weight: bolder;
  background-color: #999966;
}

.sub-keg {
  border: 1px solid black;
  font-weight: bolder;
  background-color: #c2c2a3;
}

/* print media */
.pagebreak {
  page-break-before: always;
}

/* loading dialog */
.loading-dialog-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vw;
  background-color: #3339;
}

.loading-dialog-body {
  position: fixed;
  inset: 0;
  margin: auto;
  width: 200px;
  height: 200px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.tooltip-bar {
  position: relative;
  float: right;
  padding: 12px 0px;
}

.tooltip-bar::before {
  position: absolute;
  bottom: 120%;
  left: 50%;
  margin-bottom: 5px;
  margin-left: -80px;
  padding: 5px 15px;
  width: 100px;
  -webkit-border-radius: 3px;
  -moz-border-radius: 3px;
  border-radius: 3px;
  background-color: #eebf3f;
  color: rgb(23, 44, 66);
  content: attr(data-width);
  text-align: center;
  font-weight: bold;
  font-size: 13px;
}
.tooltip-bar::after {
  position: absolute;
  bottom: 120%;
  left: 50%;
  margin-left: -5px;
  width: 0;
  border-left: 5px solid transparent;
  border-right: 5px solid transparent;
  border-top: 5px solid #eebf3f;
  content: " ";
  font-size: 0;
  line-height: 0;
}

.tooltip-bar::before,
.tooltip-bar::after {
  visibility: hidden;
  opacity: 0;
  pointer-events: none;
}

.tooltipped:hover .tooltip-bar::before,
.tooltipped:hover .tooltip-bar::after {
  visibility: visible;
  opacity: 1;
}

.cermati {
  background-color: #f99ab4;
  cursor: pointer;
}

.scroll-bar-report {
  display: flex;
  overflow-y: scroll;
  scrollbar-color: #999 #e6e6e6;
}

.scroll-bar-modal {
  scrollbar-color: #999 #e6e6e6;
}

.form-control {
  margin-bottom: 8px;
}

.full-loading-content {
  background: #ffffff5c;
  backdrop-filter: blur(5px);
  position: fixed;
  width: 100%;
  height: 100%;
  z-index: 25000;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  align-items: center;
}

.full-loading-content .spinner-border {
  width: 10rem;
  height: 10rem;
  font-size: 2rem;
}
